{include="header"}

<script type="text/javascript">
   function delete_arqueo(id)
   {
      if( confirm("¿Realmente desea eliminar el arqueo "+id+"?") )
      {
         window.location.href = '{$fsc->url()}&delete='+id;
      }
   }
   function delete_terminal(id)
   {
      if( confirm("¿Realmente desea eliminar el terminal "+id+"?") )
      {
         window.location.href = '{$fsc->url()}&deletet='+id+'#terminales';
      }
   }
   $(document).ready(function() {
      if(window.location.hash.substring(1) == 'terminales')
      {
         $('#tab_cajas a[href="#terminales"]').tab('show');
      }
      else if(window.location.hash.substring(1) == 'configuracion')
      {
         $('#tab_cajas a[href="#configuracion"]').tab('show');
      }

      $("#ac_referencia").autocomplete({
         serviceUrl: '{$fsc->url()}',
         paramName: 'buscar_referencia',
      });
   });
</script>

<div id="tab_cajas" role="tabpanel">
   <ul class="nav nav-tabs" role="tablist">
      <li role="presentation" class="active">
         <a href="#home" aria-controls="home" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-inbox" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Arqueos</span>
            <span class="badge">{$fsc->total_arqueos}</span>
         </a>
      </li>
      <li role="presentation">
         <a href="#terminales" aria-controls="terminales" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-print" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Terminales</span>
         </a>
      </li>
      <li role="presentation">
         <a href="#configuracion" aria-controls="configuracion" role="tab" data-toggle="tab">
            <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
            <span class="hidden-xs">&nbsp; Configuración</span>
         </a>
      </li>
   </ul>
   <div class="tab-content">
      <div role="tabpanel" class="tab-pane active" id="home">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">ID</th>
                     <th class="text-left">Terminal</th>
                     <th class="text-left">Empleado</th>
                     <th class="text-center">Fecha inicial</th>
                     <th class="text-right">Dinero inicial</th>
                     <th class="text-center">Fecha fin</th>
                     <th class="text-right">Total caja</th>
                     <th class="text-right">Acciones</th>
                  </tr>
               </thead>
               {loop="$fsc->resultados"}
               <tr{if="$value->abierta"} class="warning"{/if}>
                  <td><a href="{$value->url()}">{$value->idtpv_arqueo}</a></td>
                  <td>{$value->idterminal}</td>
                  <td>
                     {if="$value->agente"}
                     <a href="{$value->agente->url()}">{$value->agente->get_fullname()}</a>
                     {else}
                     -
                     {/if}
                  </td>
                  <td class="text-center">{$value->diadesde}</td>
                  <td class="text-right">{$fsc->show_precio($value->inicio)}</td>
                  <td class="text-center">{$value->diahasta}</td>
                  <td class="text-right">{$fsc->show_precio($value->totalcaja)}</td>
                  <td class="text-right">
                     {if="$fsc->allow_delete"}
                     <div class="btn-group">
                        {if="$value->abierta"}
                        <a href="{$fsc->url()}&cerrar={$value->idtpv_arqueo}" class="btn btn-xs btn-warning" title="Cerrar caja">
                           <span class="glyphicon glyphicon-lock"></span>
                        </a>
                        {/if}
                        <a href="#" class="btn btn-xs btn-danger" title="Eliminar" onclick="delete_arqueo('{$value->idtpv_arqueo}')">
                           <span class="glyphicon glyphicon-trash"></span>
                        </a>
                     </div>
                     {/if}
                  </td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="9">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
         <ul class="pager">
            {if="$fsc->anterior_url()!=''"}
            <li class="previous">
               <a href="{$fsc->anterior_url()}">
                  <span class="glyphicon glyphicon-chevron-left"></span>&nbsp; Anteriores
               </a>
            </li>
            {/if}
            {if="$fsc->siguiente_url()!=''"}
            <li class="next">
               <a href="{$fsc->siguiente_url()}">
                  Siguientes &nbsp;<span class="glyphicon glyphicon-chevron-right"></span>
               </a>
            </li>
            {/if}
         </ul>
      </div>
      <div role="tabpanel" class="tab-pane" id="terminales">
         <br/>
         <div class="container-fluid">
            <div class="row">
               <div class="col-sm-12">
                  {loop="$fsc->terminales"}
                  <form action="{$fsc->url()}#terminales" method="post" class="form">
                     <input type="hidden" name="idt" value="{$value->id}">
                     <div class="panel {if="!$value->disponible()"}panel-warning{else}panel-default{/if}">
                        <div class="panel-heading">Terminal {$value->id}</div>
                        <div class="panel-body">
                           <div class="container-fluid">
                              <div class="row">
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Nombre:
                                       <input type="text" name="nombre" value="{$value->nombre}" maxlength="25" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Almacén:
                                       <select name="codalmacen" class="form-control">
                                       {loop="$fsc->almacen->all()"}
                                          {if="$value1->codalmacen==$value2->codalmacen"}
                                          <option value="{$value2->codalmacen}" selected="">{$value2->nombre}</option>
                                          {else}
                                          <option value="{$value2->codalmacen}">{$value2->nombre}</option>
                                          {/if}
                                       {/loop}
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Serie:
                                       <select name="codserie" class="form-control">
                                       {loop="$fsc->serie->all()"}
                                          {if="$value1->codserie==$value2->codserie"}
                                          <option value="{$value2->codserie}" selected="">{$value2->descripcion}</option>
                                          {else}
                                          <option value="{$value2->codserie}">{$value2->descripcion}</option>
                                          {/if}
                                       {/loop}
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Cliente:
                                       <input type="text" name="codcliente" value="{$value->codcliente}" class="form-control" maxlength="6" placeholder="Código" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Caracteres por linea:
                                       <input type="number" name="anchopapel" value="{$value->anchopapel}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Comando corte:
                                       <input type="text" name="comandocorte" value="{$value->comandocorte}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Comando apertura:
                                       <input type="text" name="comandoapertura" value="{$value->comandoapertura}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Comando logo:
                                       <input type="text" name="comandologo" value="{$value->comandologo}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Nº tickets:
                                       <input type="number" name="num_tickets" value="{$value->num_tickets}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <br/>
                                    <label class="checkbox">
                                       {if="$value->sin_comandos"}
                                       <input type="checkbox" name="sin_comandos" value="TRUE" checked=""/>
                                       {else}
                                       <input type="checkbox" name="sin_comandos" value="TRUE"/>
                                       {/if}
                                       Desactivar comandos
                                    </label>
                                 </div>
                                 <div class="col-sm-4 text-right">
                                    {if="!$value->disponible()"}
                                    <br/>
                                    <a href="#terminales" class="btn btn-sm btn-warning" title="Terminal en uso" onclick="alert('Terminal en uso')">
                                       <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
                                    </a>
                                    {/if}
                                    <div class="btn-group">
                                       {if="$fsc->allow_delete"}
                                       <a href="#" class="btn btn-sm btn-danger" title="Eliminar" onclick="delete_terminal('{$value->id}')">
                                          <span class="glyphicon glyphicon-trash"></span>&nbsp; Eliminar
                                       </a>
                                       {/if}
                                       <button class="btn btn-sm btn-primary" type="submit" title="Guardar" onclick="this.disabled=true;this.form.submit();">
                                          <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
                                       </button>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </form>
                  {/loop}
               </div>
            </div>
            <div class="row">
               <div class="col-sm-12">
                  <form action="{$fsc->url()}#terminales" method="post" class="form">
                     <input type="hidden" name="nuevot" value="TRUE"/>
                     <div class="panel panel-info">
                        <div class="panel-heading">Nuevo Terminal</div>
                        <div class="panel-body">
                           <div class="container-fluid">
                              <div class="row">
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Nombre:
                                       <input type="text" name="nombre" maxlength="25" class="form-control" placeholder="Nuevo" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Almacén:
                                       <select name="codalmacen" class="form-control">
                                          {loop="$fsc->almacen->all()"}
                                          <option value="{$value->codalmacen}">{$value->nombre}</option>
                                          {/loop}
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Serie:
                                       <select name="codserie" class="form-control">
                                          {loop="$fsc->serie->all()"}
                                          <option value="{$value->codserie}">{$value->descripcion}</option>
                                          {/loop}
                                       </select>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Cliente:
                                       <input type="text" name="codcliente" class="form-control" maxlength="6" placeholder="Código" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Caracteres por linea:
                                       <input type="number" name="anchopapel" value="{$fsc->terminal->anchopapel}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Comando corte:
                                       <input type="text" name="comandocorte" value="{$fsc->terminal->comandocorte}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Comando apertura:
                                       <input type="text" name="comandoapertura" value="{$fsc->terminal->comandoapertura}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Comando logo:
                                       <input type="text" name="comandologo" value="{$fsc->terminal->comandologo}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <div class="form-group">
                                       Nº tickets:
                                       <input type="number" name="num_tickets" value="{$fsc->terminal->num_tickets}" class="form-control" autocomplete="off"/>
                                    </div>
                                 </div>
                                 <div class="col-sm-2">
                                    <br/>
                                    <label class="checkbox">
                                       {if="$fsc->terminal->sin_comandos"}
                                       <input type="checkbox" name="sin_comandos" value="TRUE" checked=""/>
                                       {else}
                                       <input type="checkbox" name="sin_comandos" value="TRUE"/>
                                       {/if}
                                       Desactivar comandos
                                    </label>
                                 </div>
                                 <div class="col-sm-4 text-right">
                                    <br/>
                                    <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                                       <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
                                    </button>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </form>
               </div>
            </div>
         </div>
      </div>
      <div role="tabpanel" class="tab-pane" id="configuracion">
         <form action="{$fsc->url()}#configuracion" method="post" class="form">
            <input type="hidden" name="tpv_config" value="TRUE"/>
            <div class="container-fluid">
               <div class="row">
                  <div class="col-sm-4">
                     <div class="form-group">
                        <h3>Artículo varios</h3>
                        <input type="text" name="ref_varios" value="{$fsc->tpv_config['tpv_ref_varios']}" id='ac_referencia' class="form-control" maxlength="18" placeholder="referencia" autocomplete="off"/>
                        <p class="help-block">
                           Si quieres usar un artículo "genérico",
                           selecciona aquí la referencia de ese artículo, aparecerá el
                           botón en el Punto de venta para poder usarlo cuando quieras.
                        </p>
                     </div>
                     <div class="checkbox">
                        <label>
                           <input type="checkbox" name="linea_libre" value="TRUE"{if="$fsc->tpv_config['tpv_linea_libre']"} checked=""{/if}/>
                           Permitir introducir precios libremente.
                        </label>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <h3>Forma de pago en efectivo</h3>
                     <div class="form-group">
                        <select name="pago_efectivo" class="form-control">
                        {loop="$fsc->forma_pago->all()"}
                           {if="$value->codpago==$fsc->tpv_config['tpv_fpago_efectivo']"}
                           <option value="{$value->codpago}" selected="">{$value->descripcion}</option>
                           {else}
                           <option value="{$value->codpago}">{$value->descripcion}</option>
                           {/if}
                        {/loop}
                        </select>
                        <p class="help-block">
                           Selecciona la forma de pago que quieras usar como forma de pago
                           en efectivo para el Punto de venta.
                        </p>
                     </div>
                  </div>
                  <div class="col-sm-4">
                     <h3>Forma de pago con tarjeta</h3>
                     <div class="form-group">
                        <select name="pago_tarjeta" class="form-control">
                           <option value="">Ninguna</option>
                           <option value="">------</option>
                           {loop="$fsc->forma_pago->all()"}
                              {if="$value->codpago==$fsc->tpv_config['tpv_fpago_tarjeta']"}
                              <option value="{$value->codpago}" selected="">{$value->descripcion}</option>
                              {else}
                              <option value="{$value->codpago}">{$value->descripcion}</option>
                              {/if}
                           {/loop}
                        </select>
                        <p class="help-block">
                           Selecciona la forma de pago que quieras usar como forma de pago
                           con tarjeta para el Punto de venta. Si eliges ninguna, solamente se podrá
                           pagar en efectivo.
                        </p>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <h3>
                        <span class="glyphicon glyphicon-folder-open"></span>&nbsp; Categorias
                     </h3>
                     <p class="help-block">
                        Selecciona las Categorias que quieres que aparezcan en el listado
                        del Punto de venta.
                     </p>
                  </div>
               </div>
               <div class="row">
                  {loop="$fsc->familia->all()"}
                  <div class="col-sm-3">
                     <div class="checkbox-inline">
                        <label>
                           {if="$fsc->familia_checked($value->codfamilia)"}
                           <input type="checkbox" name="familia[]" value="{$value->codfamilia}" checked=""/>
                           {else}
                           <input type="checkbox" name="familia[]" value="{$value->codfamilia}"/>
                           {/if}
                           {$value->descripcion}
                        </label>
                     </div>
                  </div>
                  {/loop}
               </div>
               <div class="row">
                  <div class="col-sm-12">
                     <br/>
                     <div class="form-group">
                        Texto al final del ticket:
                        <textarea name="texto" class="form-control" rows="5">{$fsc->tpv_config['tpv_texto_fin']}</textarea>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-12 text-right">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar
                     </button>
                  </div>
               </div>
            </div>
         </form>
      </div>
   </div>
</div>

{include="footer"}
